/* 文字列中の文字数を数える：１バイト文字２バイト文字共に１文字とする */

#include "deftype.h"

int klen(unchar *str)
{
unchar c;
unint len=0;
	while ((c=*str++)!=0) {
		len++;
		if (check_kanji1(c)) str++; /* この文字は２バイト文字 */
	}
	return(len);
}
